*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

.img-slider-img {
  object-fit: cover;
  width: 100%;
  height: 100%;
  display: block;
  flex: 0 0 auto;
  transition: translate 0.3s ease;
}

.img-slider-btn {
  all: unset;
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  padding: 1rem;
  cursor: pointer;
  filter: drop-shadow(3px 3px 2px rgb(0 0 0 / 0.7));
  transition: background-color 0.3s ease;
}

.img-slider-btn:hover,
.img-slider-btn:focus-visible {
  background-color: rgba(0, 0, 0, 0.2);
}

.img-slider-btn > *,
.img-slider-btn:focus-visible > * {
  stroke: white;
  width: 2rem;
  height: 2rem;
}

.img-slider-btn:hover > * {
  animation: squish 0.5s ease;
}

@keyframes squish {
  50% {
    scale: 1.4 0.8;
  }
}

.img-slider-dot-btn {
  all: unset;
  display: block;
  cursor: pointer;
  width: 1rem;
  height: 1rem;
  padding: 2px;
  filter: drop-shadow(3px 3px 2px rgb(0 0 0 / 0.7));
  transition: scale 0.2s ease;
}

.img-slider-dot-btn:hover,
.img-slider-dot-btn:focus-visible {
  scale: 1.2;
}

.img-slider-dot-btn > * {
  stroke: white;
  width: 100%;
  height: 100%;
}

.img-slider-btn:focus-visible,
.img-slider-dot-btn:focus-visible {
  outline: auto;
}

.skip-link {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  border: 0;
}

.skip-link:focus-visible {
  top: 0;
  left: 0;
  border: 1px solid black;
  background-color: white;
  padding: 0.5rem;
  width: auto;
  height: auto;
  margin: 0;
  text-decoration: none;
  color: black;
  z-index: 1000;
}
